source_helper 1.3.0
source_helper: ^1.3.0 copied to clipboard

Utilities to help with Dart source code generation. Includes utilities for properly generating String literals from any String value.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add source_helper

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  source_helper: ^1.3.0

Alternatively, your editor might support dart pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:source_helper/source_helper.dart';
10
likes
120
pub points
98%
popularity

Publisher

google.dev

Utilities to help with Dart source code generation. Includes utilities for properly generating String literals from any String value.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache-2.0 (LICENSE)

Dependencies

analyzer, collection, source_gen

More

Packages that depend on source_helper